<!DOCTYPE html>
<html>
   <head>
      <title>
          Praxisphasenmanager (PPM)
      </title>
      <meta charset="UTF-8" />     
      <script type="text/javascript" src="/javascript/index.js"></script>
      <style type="text/css">
         @import url("/template/template.css");
      </style>
   </head>
   <body>
      <h1 id="idSiteHeader" class="clSiteHeader">
         Praxisphasenmanager (PPM)
      </h1>
      <div id="idContent" class="clContent">
         <h2 id="idContentHeader" class="clContentHeader">
            &Uumlbersicht 
            % if data['category'] == 'students':
               Studenten
            % elif data['category'] == 'teachers':
               Lehrende
            % elif data['category'] == 'companies':
               Firmen
            % elif data['category'] == 'offerings':
               Angebote
            % endif
         </h2>
         <div id="idContentArea" class="clContentArea">

            <table id="idList">
               <tr>
                  % if data['content']!= None:
                     % for heading in data['headings']:
                        % if heading!='id':
                           <th>${heading}</th>
                        % endif
                     % endfor
                  % else:
                  <td>Bisher kein Inhalt</td>
                  % endif
               </tr>
               % if data['content']!= None:
                  
                  % for entries in data['content']:
                  <tr>
                     % for entry in data['content'][entries]:
                        % if entry!='id':
                           <td>${data['content'][entries][entry]}</td>
                        % endif
                     % endfor
                  </tr>
                  % endfor

               % endif


            </table>
         </div>
      
         <div id="idButtonArea" class="clButtonArea"> 
            <a href="/detail/?cat=${data['category']}" class="clButton">Neu</a>
            <a href="/index" class="clButton">Startseite</a>
         </div> 
      </div>
   </body>
</html>